## org.apache.batik.gvt
Class FillShapePainter

    java.lang.Object
      org.apache.batik.gvt.FillShapePainter

All Implemented Interfaces:
  ShapePainter

public class FillShapePainter
extends java.lang.Object
implements ShapePainter

A shape painter that can be used to fill a shape.

Field Summary
`protected java.awt.Paint` `paint` The paint attribute used to fill the shape.
`protected java.awt.Shape` `shape` The Shape to be painted.

Constructor Summary
`FillShapePainter(java.awt.Shape shape)` Constructs a new `FillShapePainter` that can be used to fill a `Shape`.

Method Summary
`java.awt.Shape` `getPaintedArea()` Returns the area painted by this shape painter.
`java.awt.geom.Rectangle2D` `getPaintedBounds2D()` Returns the bounds of the area painted by this shape painter
`java.awt.Shape` `getSensitiveArea()` Returns the area covered by this shape painter (even if not painted).
`java.awt.geom.Rectangle2D` `getSensitiveBounds2D()` Returns the bounds of the area covered by this shape painte (even if not painted).
`java.awt.Shape` `getShape()` Gets the Shape this shape painter is associated with.
`boolean` `inPaintedArea(java.awt.geom.Point2D pt)` Returns true if pt is in the area painted by this shape painter
`boolean` `inSensitiveArea(java.awt.geom.Point2D pt)` Returns true if pt is in the area painted by this shape painter
`void` `paint(java.awt.Graphics2D g2d)` Paints the specified shape using the specified Graphics2D.
`void` `setPaint(java.awt.Paint newPaint)` Sets the paint used to fill a shape.
`void` `setShape(java.awt.Shape shape)` Sets the Shape this shape painter is associated with.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### shape

    protected java.awt.Shape shape

  The Shape to be painted.

### paint

    protected java.awt.Paint paint

  The paint attribute used to fill the shape.

Constructor Detail

### FillShapePainter

    public FillShapePainter(java.awt.Shape shape)

  Constructs a new `FillShapePainter` that can be used to fill a `Shape`.

Parameters:
  `shape` - Shape to be painted by this painter Should not be null.

Method Detail

### setPaint

    public void setPaint(java.awt.Paint newPaint)

  Sets the paint used to fill a shape.

  Parameters:
    `newPaint` - the paint object used to fill the shape

### paint

    public void paint(java.awt.Graphics2D g2d)

  Paints the specified shape using the specified Graphics2D.

  Specified by:
    `paint` in interface `ShapePainter`
  Parameters:
    `g2d` - the Graphics2D to use

### getPaintedArea

    public java.awt.Shape getPaintedArea()

  Returns the area painted by this shape painter.

  Specified by:
    `getPaintedArea` in interface `ShapePainter`

### getPaintedBounds2D

    public java.awt.geom.Rectangle2D getPaintedBounds2D()

  Returns the bounds of the area painted by this shape painter

  Specified by:
    `getPaintedBounds2D` in interface `ShapePainter`

### inPaintedArea

    public boolean inPaintedArea(java.awt.geom.Point2D pt)

  Returns true if pt is in the area painted by this shape painter

  Specified by:
    `inPaintedArea` in interface `ShapePainter`

### getSensitiveArea

    public java.awt.Shape getSensitiveArea()

  Returns the area covered by this shape painter (even if not painted).

  Specified by:
    `getSensitiveArea` in interface `ShapePainter`

### getSensitiveBounds2D

    public java.awt.geom.Rectangle2D getSensitiveBounds2D()

  Returns the bounds of the area covered by this shape painte (even if not painted).

  Specified by:
    `getSensitiveBounds2D` in interface `ShapePainter`

### inSensitiveArea

    public boolean inSensitiveArea(java.awt.geom.Point2D pt)

  Returns true if pt is in the area painted by this shape painter

  Specified by:
    `inSensitiveArea` in interface `ShapePainter`

### setShape

    public void setShape(java.awt.Shape shape)

  Sets the Shape this shape painter is associated with.

  Specified by:
    `setShape` in interface `ShapePainter`
  Parameters:
    `shape` - new shape this painter should be associated with. Should not be null.

### getShape

    public java.awt.Shape getShape()

  Gets the Shape this shape painter is associated with.

  Specified by:
    `getShape` in interface `ShapePainter`
  Returns:
    shape associated with this Painter.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.